跳转到主要内容
运营管理/计费管理相关接口
GETBilling Management Operations起始版本 3.7.0同步需要认证

查询账户账单

查询账户账单

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • idlong必填

      账单ID

    • billingTypeString必填

      账单类型

    • accountUuidString必填

      账户UUID

    • resourceUuidString必填

      资源UUID

    • resourceNameString必填

      资源名称

    • spendingdouble必填

      费用

    • startTimelong必填

      资源计费开始时间

    • endTimelong必填

      资源计费结束时间

    • hypervisorTypeString必填

      资源虚拟化类型

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

GET/zstack/v1/billing/billings

/zstack/v1/billing/billings

操作 ID

QueryAccountBilling

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/billing/billings' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "id": 1.0, "billingType": "DataVolume", "accountUuid": "9d0795db99e93ed49f8bc433dd54cf0e", "resourceUuid": "5fd7d24b821139eeaec591fc351ffd51", "spending": 100.0, "startTime": 1.559017175886E12, "endTime": 1.559017375886E12, "hypervisorType": "kvm", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史